{
    $Id: asmalpha.pas,v 1.1.1.1 1998/03/25 11:18:17 root Exp $
    Copyright (c) 1997 by Florian Klaempfl

    This unit implements an asmoutput class for the DEC Alpha

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

 ****************************************************************************
}
unit asmalpha;

  interface

    uses
       dos,globals,systems,errors,cobjects,aasm,alpha,strings,files
{$ifdef GDB}
       ,gdb
{$endif GDB}
       ;

    const
       op2str : array[tasmop] of string[14] = (
          'addf','addg','addl','addq',
          'adds','addt','amask','and','beq','bge',
          'bgt','bic','bis','blbc','blbs','ble',
          'blt','bne','br','bsr','call_pal','cmoveq',
          'cmovge','cmovgt','cmovlbc','cmovlbs','cmovle','cmovlt',
          'cmovne','cmpbge','cmpeq','cmpgeq','cmpgle','cmpglt',
          'cmple','cmplt','cmpteq','cmptle','cmptlt','cmptun',
          'cmpule','cmpult','cpys','cpyse','cpysn','ctlz',
          'ctpop','cttz','cvtdg','cvtgd','cvtgf','cvtgq',
          'cvtlq','cvtqf','cvtqg','cvtql','cvtqs','cvtqt',
          'cvtst','cvttq','cvtts','divf','divg','divs',
          'divt','ecb','eqv','excb','extbl','extlh',
          'extll','extqh','extql','extwh','extwl','fbeq',
          'fbge','fbgt','fble','fblt','fbne','fcmoveq',
          'fcmovge','fcmovgt','fcmovle','fcmovlt','fcmovne','fetch',
          'fetch_m','ftois','ftoit','implver','insbl','inslh',
          'insll','insqh','insql','inswh','inswl','itoff',
          'itofs','itoft','jmp','jsr','jsr_coroutine','lda',
          'ldah','ldbu','ldwu','ldf','ldg','ldl',
          'ldl_l','ldq','ldq_l','ldq_u','lds','ldt',
          'maxsb8','maxsw4','maxub8','maxuw4','mb','mf_fpcr',
          'minsb8','minsw4','minub8','minuw4','mskbl','msklh',
          'mskll','mskqh','mskql','mskwh','mskwl','mt_fpcr',
          'mulf','mulg','mull','mulq',
          'muls','mult','ornot','perr','pklb','pkwb',
          'rc','ret','rpcc','rs','s4addl','s4addq',
          's4subl','s4subq','s8addl','s8addq','s8subl','s8subq',
          'sextb','sextw','sll','sqrtf','sqrtg','sqrts',
          'sqrtt','sra','srl','stb','stf','stg',
          'sts','stl','stl_c','stq','stq_c','stq_u',
          'stt','stw','subf','subg','subl',
          'subq','subs','subt','trapb','umulh','unpkbl',
          'unpkbw','wh64','wmb','xor','zap','zapnot');

  implementation

end.
{
  $Log: asmalpha.pas,v $
  Revision 1.1.1.1  1998/03/25 11:18:17  root
  * Restored version

  Revision 1.1  1998/03/10 02:07:55  peter
    - moved

  Revision 1.5  1998/03/10 01:17:14  peter
    * all files have the same header
    * messages are fully implemented, EXTDEBUG uses Comment()
    + AG... files for the Assembler generation

  Revision 1.4  1998/03/02 01:48:01  peter
    * renamed target_DOS to target_GO32V1
    + new verbose system, merged old errors and verbose units into one new
      verbose.pas, so errors.pas is obsolete

  Revision 1.3  1998/02/13 10:34:33  daniel
  * Made Motorola version compilable.
  * Fixed optimizer

  Revision 1.2  1997/11/28 18:14:19  pierre
   working version with several bug fixes

  Revision 1.1.1.1  1997/11/27 08:32:50  michael
  FPC Compiler CVS start

}
